Subject: bug#37242: closed (Re: bug#37242: orgtbl-to-tsv drops empty cell)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 May 2020 13:37:02 +0000

Your bug report

#37242: orgtbl-to-tsv drops empty cell

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37242: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37242
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37242: orgtbl-to-tsv drops empty cell
From: Bastien <[email-masked]>
To: Tak Kunihiro <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 22 May 2020 15:36:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Tak Kunihiro,

Tak Kunihiro <[email-masked]> writes:

> I tried to go though orgtbl-to-generic, but I cannot find out how the
> line was dropped.  I'm okay, please close the bug.

Done, thanks.

-- 
 Bastien

Subject: orgtbl-to-tsv drops empty cell
From: Tak Kunihiro <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 31 Aug 2019 16:31:02 +0900 (JST)
List-Id: <debbugs-submit.debbugs.gnu.org>

When org-mode table is converted to tab delimitated text using
orgtbl-to-tsv, empty cell is dropped out.  I think this is bug.

GNU Emacs 26.3 (build 1, x86_64-w64-mingw32) of 2019-08-29
runemacs -Q
(require 'org-table)
(orgtbl-to-tsv '(("aaa") ("bbb") ("") ("ddd")) nil) ; => "aaa\nbbb\nddd"
(orgtbl-to-tsv '(("aaa") ("bbb") ("") ("ddd")) '(:backend ascii)) ; => " aaa \n bbb \n     \n ddd "